%% Document to make my R outputs for DEseq

\documentclass[11pt]{report}\usepackage[]{graphicx}\usepackage[]{color}
%% maxwidth is the original width if it is less than linewidth
%% otherwise use linewidth (to make sure the graphics do not exceed the margin)
\makeatletter
\def\maxwidth{ %
  \ifdim\Gin@nat@width>\linewidth
    \linewidth
  \else
    \Gin@nat@width
  \fi
}
\makeatother

\definecolor{fgcolor}{rgb}{0.345, 0.345, 0.345}
\newcommand{\hlnum}[1]{\textcolor[rgb]{0.686,0.059,0.569}{#1}}%
\newcommand{\hlstr}[1]{\textcolor[rgb]{0.192,0.494,0.8}{#1}}%
\newcommand{\hlcom}[1]{\textcolor[rgb]{0.678,0.584,0.686}{\textit{#1}}}%
\newcommand{\hlopt}[1]{\textcolor[rgb]{0,0,0}{#1}}%
\newcommand{\hlstd}[1]{\textcolor[rgb]{0.345,0.345,0.345}{#1}}%
\newcommand{\hlkwa}[1]{\textcolor[rgb]{0.161,0.373,0.58}{\textbf{#1}}}%
\newcommand{\hlkwb}[1]{\textcolor[rgb]{0.69,0.353,0.396}{#1}}%
\newcommand{\hlkwc}[1]{\textcolor[rgb]{0.333,0.667,0.333}{#1}}%
\newcommand{\hlkwd}[1]{\textcolor[rgb]{0.737,0.353,0.396}{\textbf{#1}}}%

\usepackage{framed}
\makeatletter
\newenvironment{kframe}{%
 \def\at@end@of@kframe{}%
 \ifinner\ifhmode%
  \def\at@end@of@kframe{\end{minipage}}%
  \begin{minipage}{\columnwidth}%
 \fi\fi%
 \def\FrameCommand##1{\hskip\@totalleftmargin \hskip-\fboxsep
 \colorbox{shadecolor}{##1}\hskip-\fboxsep
     % There is no \\@totalrightmargin, so:
     \hskip-\linewidth \hskip-\@totalleftmargin \hskip\columnwidth}%
 \MakeFramed {\advance\hsize-\width
   \@totalleftmargin\z@ \linewidth\hsize
   \@setminipage}}%
 {\par\unskip\endMakeFramed%
 \at@end@of@kframe}
\makeatother

\definecolor{shadecolor}{rgb}{.97, .97, .97}
\definecolor{messagecolor}{rgb}{0, 0, 0}
\definecolor{warningcolor}{rgb}{1, 0, 1}
\definecolor{errorcolor}{rgb}{1, 0, 0}
\newenvironment{knitrout}{}{} % an empty environment to be redefined in TeX

\usepackage{alltt} %% May want to try twocolumn soon


\title{Code for DESeq}

\author{Dr. Mark Peterson}
\date{}
\IfFileExists{upquote.sty}{\usepackage{upquote}}{}



\begin{document}
\chapter[My Code]{Code for DESeq}





Info for installing package
\begin{knitrout}
\definecolor{shadecolor}{rgb}{0.969, 0.969, 0.969}\color{fgcolor}\begin{kframe}
\begin{alltt}
\hlcom{## Install R dependencies}
\hlkwd{install.packages}\hlstd{(}\hlkwd{c}\hlstd{(}\hlstr{"ecodist"}\hlstd{,}\hlstr{"gplots"}\hlstd{,}\hlstr{"seqinr"}\hlstd{,}\hlstr{"gdata"}\hlstd{))}

\hlcom{## Install DESeq from bioconductor}
\hlkwd{source}\hlstd{(}\hlstr{"http://bioconductor.org/biocLite.R"}\hlstd{)}
\hlkwd{biocLite}\hlstd{(}\hlstr{"DESeq"}\hlstd{)}


\hlcom{## Install MPP's new package}
\hlcom{## Note: you MUST run setwd() to the directory containing the tar.gz file first}
\hlkwd{install.packages}\hlstd{(}\hlstr{'rnaseqWrapper_1.0.tar.gz'}\hlstd{,}\hlkwc{repos}\hlstd{=}\hlkwa{NULL}\hlstd{,}\hlkwc{type}\hlstd{=}\hlstr{'source'}\hlstd{)}

\hlcom{## To check if installed correctly (usually loaded lower)}
\hlkwd{library}\hlstd{(rnaseqWrapper)}
\end{alltt}
\end{kframe}
\end{knitrout}


Info for running loading data

\begin{knitrout}
\definecolor{shadecolor}{rgb}{0.969, 0.969, 0.969}\color{fgcolor}\begin{kframe}
\begin{alltt}
\hlcom{## Load the data}
\hlcom{#  Note, you will likely have saved}
\hlcom{#   the outputs in a different directory}
\hlstd{countData} \hlkwb{<-} \hlkwd{mergeCountFiles}\hlstd{(}\hlstr{"data/"}\hlstd{,}\hlkwc{colsToKeep}\hlstd{=}\hlstr{"expected_count"}\hlstd{)}

\hlcom{# View the data}
\hlkwd{head}\hlstd{(countData)}
\end{alltt}
\end{kframe}
\end{knitrout}



\begin{knitrout}
\definecolor{shadecolor}{rgb}{0.969, 0.969, 0.969}\color{fgcolor}\begin{kframe}
\begin{alltt}
\hlcom{## Extract just the read counts, and round them}
\hlstd{myCountData} \hlkwb{<-} \hlkwd{round}\hlstd{( countData[,}\hlkwd{grep}\hlstd{(}\hlstr{".expected_count"}\hlstd{,}\hlkwd{names}\hlstd{(countData))],}\hlnum{0}\hlstd{)}
\end{alltt}
\end{kframe}
\end{knitrout}


\begin{knitrout}
\definecolor{shadecolor}{rgb}{0.969, 0.969, 0.969}\color{fgcolor}\begin{kframe}
\begin{alltt}
\hlcom{## round data}
\hlstd{myCountData} \hlkwb{<-} \hlkwd{round}\hlstd{(countData)}

\hlcom{## Trim the names to make the plots a bit nicer:}
\hlkwd{names}\hlstd{(myCountData)} \hlkwb{<-} \hlkwd{gsub}\hlstd{(}\hlstr{".expected_count"}\hlstd{,}\hlstr{""}\hlstd{,}\hlkwd{names}\hlstd{(myCountData))}

\hlkwd{head}\hlstd{(myCountData)}
\end{alltt}
\end{kframe}
\end{knitrout}



\begin{knitrout}
\definecolor{shadecolor}{rgb}{0.969, 0.969, 0.969}\color{fgcolor}\begin{kframe}
\begin{alltt}
\hlcom{## Run DESeq}
\hlstd{deOut} \hlkwb{<-} \hlkwd{DESeqWrapper}\hlstd{(myCountData,}\hlkwc{conditions}\hlstd{=}\hlkwd{c}\hlstd{(}\hlstr{"male"}\hlstd{,}\hlstr{"female"}\hlstd{),}
                      \hlkwc{outNamePrefix}\hlstd{=}\hlstr{"DESeqTest/"}\hlstd{)}
\end{alltt}
\end{kframe}
\end{knitrout}


\begin{knitrout}
\definecolor{shadecolor}{rgb}{0.969, 0.969, 0.969}\color{fgcolor}\begin{kframe}
\begin{alltt}
\hlcom{## Save the DESeq R object:}
\hlkwd{save}\hlstd{(deOut,}\hlkwc{file}\hlstd{=}\hlstr{"DESeqTest/deOut.Rdata"}\hlstd{)}
\end{alltt}
\end{kframe}
\end{knitrout}



\begin{knitrout}
\definecolor{shadecolor}{rgb}{0.969, 0.969, 0.969}\color{fgcolor}\begin{kframe}
\begin{alltt}
\hlcom{## Save oval for easier use}
\hlstd{myPvals} \hlkwb{<-} \hlstd{deOut}\hlopt{$}\hlstd{deOutputs}\hlopt{$}\hlstd{malevsfemale}\hlopt{$}\hlstd{pval}

\hlcom{## Limit data to interesting genes}
\hlstd{toPlot} \hlkwb{<-} \hlkwd{as.matrix}\hlstd{(myCountData[myPvals} \hlopt{<} \hlnum{0.05} \hlopt{& !}\hlkwd{is.na}\hlstd{(myPvals),])}



\hlcom{## Make a heatmap}
\hlkwd{heatmap.mark}\hlstd{(toPlot,}
             \hlkwc{cexCol}\hlstd{=}\hlnum{.9}\hlstd{)}

\hlcom{## Add collor and a legend to show more of the options}
\hlkwd{heatmap.mark}\hlstd{(toPlot,}
             \hlkwc{cexCol}\hlstd{=}\hlnum{.9}\hlstd{,} \hlcom{# make column labels smaller}
             \hlkwc{ColSideColors} \hlstd{=} \hlkwd{rep}\hlstd{(}\hlkwd{c}\hlstd{(}\hlstr{"red"}\hlstd{,}\hlstr{"blue"}\hlstd{),}\hlkwc{each}\hlstd{=}\hlnum{3}\hlstd{),} \hlcom{# match column order}
             \hlkwc{scaleLabel}\hlstd{=}\hlstr{""}\hlstd{)} \hlcom{# turn off label to leave room}

\hlkwd{legend}\hlstd{(}\hlkwc{x}\hlstd{=}\hlstr{"topleft"}\hlstd{,}\hlkwc{inset}\hlstd{=}\hlkwd{c}\hlstd{(}\hlopt{-}\hlnum{.01}\hlstd{,}\hlnum{.13}\hlstd{),} \hlcom{# where the label should go}
       \hlkwc{bty}\hlstd{=}\hlstr{"n"}\hlstd{,} \hlcom{# no box around it}
       \hlkwc{legend}\hlstd{=}\hlkwd{c}\hlstd{(}\hlstr{"female"}\hlstd{,}\hlstr{"male"}\hlstd{),} \hlcom{# What should be there}
       \hlkwc{fill}\hlstd{=}\hlkwd{c}\hlstd{(}\hlstr{"red"}\hlstd{,}\hlstr{"blue"}\hlstd{),} \hlcom{# Colors to use}
       \hlkwc{cex}\hlstd{=}\hlnum{.5}\hlstd{,} \hlcom{# Size}
       \hlkwc{title}\hlstd{=}\hlstr{"Conditions"}\hlstd{)} \hlcom{#Label for the legend}
\end{alltt}
\end{kframe}

{\centering \includegraphics[width=\maxwidth]{figure/DESeq-heatmap1} 
\includegraphics[width=\maxwidth]{figure/DESeq-heatmap2} 

}



\end{knitrout}



\end{document}
